package com.jy.flow.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.flow.model.dto.FlowHisTaskDto;
import com.jy.flow.model.dto.FlowTaskDto;
import com.jy.flow.model.vo.FlowTaskVo;
import org.dromara.warm.flow.orm.entity.FlowHisTask;

public interface ExecuteService {

    /**
     * 分页查询待办任务
     */
    Page<FlowTaskVo> toDoPage(FlowTaskDto dto);

    /**
     * 获取已办任务
     */
    Page<FlowHisTask> donePage(FlowHisTaskDto dto);

    /**
     * 分页抄送任务列表
     */
    Page<FlowHisTask> copyPage(FlowTaskDto dto);

    /**
     * 撤回
     */
    void retrieveByInstanceId(Long instanceId);

    /**
     * 撤回
     */
    void retrieveByBusinessId(Long businessId);

    /**
     * 撤回
     */
    void retrieveByBusinessId(String businessId);

}
